Subject: Re: git svn: Supporting multiple branch subdirs?

From: Michael J Gruber <[email-masked]>
Date: Thu, 18 Jun 2009 18:00:28 +0200

Marc Branchaud venit, vidit, dixit 18.06.2009 16:28:
> Michael J Gruber wrote:
>>
>> Heck it's perl, so don't even try to understand the code - after all,
>> perl only barely missed the final round in the last competition for the
>> next cryptographic algorithm!
> 
> :)
> 
> Hey, I'm not gonna dis something with such great job-security potential!
> 
>> That being said, I did some clueless hacking in git-svn.perl and let it
>> run against the freebsd repo. Now, how's that:
>>
>> ~/src/git/git-svn fetch -r1:10000
>>
>> git branch -r
>>   releng/2.0.5
>>   releng/ALPHA_2_0
>>   releng/BETA_2_0
>>   stable/2.0.5
>>   stable/2.1
>>   tags/2.0
>>   tags/2.0.5
>>   trunk
>>
>> The revision graph looks OK as well. The git-svn config which I used is:
> 
> Nice!
> 
>> [svn-remote "svn"]
>>         url = svn://svn.freebsd.org/base
>>         fetch = head:refs/remotes/trunk
>>         branches = releng/*:refs/remotes/releng/*
>>         branchse = stable/*:refs/remotes/stable/*
>>         tags = release/*:refs/remotes/tags/*
>>
>> No typo there, my git svn knows about "branches" and "branchse" now ;)
>> BTW: In fact there is overlap between releng and stable branches in the
>> feebsd repo, see 2.0.5.
> 
> By "overlap" do you mean single commits that touch both branches?  FreeBSD does that a lot.

No, I just meant that there are stable and releng branches with the same
name, so that they can't both be mapped to refs/remotes/* but need
different "namespaces" (subdirs) as above.

Michael